### Method

# Foundry Debugger disassemble

#### Declaration [src]

    DexFuture*
    foundry_debugger_disassemble (
      FoundryDebugger* self,
      guint64 begin_address,
      guint64 end_address
    )

#### Description [src]

Disassemble the instructions found in the address range.

#### Parameters

`begin_address`

  Type: `guint64`

  No description available.

`end_address`

  Type: `guint64`

  No description available.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GListModel` of `FoundryDebuggerInstruction`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.